Debian Bug report logs - #553055
Fails to install if auto-run disabled in configuration

version graph

Package: hylafax-server; Maintainer for hylafax-server is Giuseppe Sacco <eppesuig@debian.org>; Source for hylafax-server is src:hylafax.

Reported by: Adam Majer <adamm@zombino.com>

Date: Thu, 29 Oct 2009 07:40:01 UTC

Severity: serious

Tags: patch

Found in version hylafax/2:6.0.3-5

Fixed in version hylafax/2:6.0.3-5.1

Done: Robert Grimm <rob@robgri.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Sacco <eppesuig@debian.org>:
Bug#553055; Package hylafax-server. (Thu, 29 Oct 2009 07:40:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Adam Majer <adamm@zombino.com>:
New Bug report received and forwarded. Copy sent to Giuseppe Sacco <eppesuig@debian.org>. (Thu, 29 Oct 2009 07:40:13 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Adam Majer <adamm@zombino.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Fails to install if auto-run disabled in configuration
Date: Wed, 28 Oct 2009 15:20:24 -0500
Package: hylafax-server
Version: 2:6.0.3-5
Severity: serious


I've selected 'No' in response to the configuration question whether
HylaFAX Server should be started. The result was,

Updating /etc/hylafax/setup.modem from
/var/spool/hylafax/etc/setup.modem.
/var/spool/hylafax
Hylafax is disabled, see /etc/default/hylafax
invoke-rc.d: initscript hylafax, action "start" failed.
dpkg: error processing hylafax-server (--configure):
 subprocess installed post-installation script returned error exit
 status 1
Errors were encountered while processing:
 hylafax-server
Press return to continue.


The init.d script should return status 0 when Hylafax is disabled in
/etc/default/hylafax.

- Adam




Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Sacco <eppesuig@debian.org>:
Bug#553055; Package hylafax-server. (Sat, 28 Nov 2009 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert Grimm <rob@robgri.de>:
Extra info received and forwarded to list. Copy sent to Giuseppe Sacco <eppesuig@debian.org>. (Sat, 28 Nov 2009 11:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 553055@bugs.debian.org (full text, mbox):

From: Robert Grimm <rob@robgri.de>
To: 553055@bugs.debian.org
Subject: Re: Fails to install if auto-run disabled in configuration
Date: Sat, 28 Nov 2009 11:52:43 +0100
[Message part 1 (text/plain, inline)]
tags 553055 + patch
thanks

The initscript should return 0 if RUN_HYLAFAX=0.
[hylafax_6.0.3-5.1.diff (text/x-diff, attachment)]

Added tag(s) patch. Request was from Robert Grimm <rob@robgri.de> to control@bugs.debian.org. (Sat, 28 Nov 2009 11:06:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Sacco <eppesuig@debian.org>:
Bug#553055; Package hylafax-server. (Sat, 28 Nov 2009 15:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to gregor herrmann <gregoa@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Sacco <eppesuig@debian.org>. (Sat, 28 Nov 2009 15:57:06 GMT) Full text and rfc822 format available.

Message #17 received at 553055@bugs.debian.org (full text, mbox):

From: gregor herrmann <gregoa@debian.org>
To: 553055@bugs.debian.org
Subject: hylafax: diff for NMU version 2:6.0.3-5.1
Date: Sat, 28 Nov 2009 16:51:02 +0100
[Message part 1 (text/plain, inline)]
I've uploaded an NMU for hylafax (versioned as 2:6.0.3-5.1). The diff
is attached to this message.

Cheers,
gregor, from the Munich BSP
-- 
 .''`.   http://info.comodo.priv.at/ -- GPG Key IDs: 0x00F3CFE4, 0x8649AA06
 : :' :  Debian GNU/Linux user, admin, & developer - http://www.debian.org/
 `. `'   Member of VIBE!AT, SPI Inc., fellow of FSFE | http://got.to/quote/
   `-    BOFH excuse #243:  The computer fleetly, mouse and all. 
[hylafax-6.0.3-5.1-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Reply sent to Robert Grimm <rob@robgri.de>:
You have taken responsibility. (Sat, 28 Nov 2009 16:06:18 GMT) Full text and rfc822 format available.

Notification sent to Adam Majer <adamm@zombino.com>:
Bug acknowledged by developer. (Sat, 28 Nov 2009 16:06:18 GMT) Full text and rfc822 format available.

Message #22 received at 553055-close@bugs.debian.org (full text, mbox):

From: Robert Grimm <rob@robgri.de>
To: 553055-close@bugs.debian.org
Subject: Bug#553055: fixed in hylafax 2:6.0.3-5.1
Date: Sat, 28 Nov 2009 16:04:39 +0000
Source: hylafax
Source-Version: 2:6.0.3-5.1

We believe that the bug you reported is fixed in the latest version of
hylafax, which is due to be installed in the Debian FTP archive:

hylafax-client_6.0.3-5.1_i386.deb
  to main/h/hylafax/hylafax-client_6.0.3-5.1_i386.deb
hylafax-server_6.0.3-5.1_i386.deb
  to main/h/hylafax/hylafax-server_6.0.3-5.1_i386.deb
hylafax_6.0.3-5.1.diff.gz
  to main/h/hylafax/hylafax_6.0.3-5.1.diff.gz
hylafax_6.0.3-5.1.dsc
  to main/h/hylafax/hylafax_6.0.3-5.1.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 553055@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Robert Grimm <rob@robgri.de> (supplier of updated hylafax package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 28 Nov 2009 11:33:10 +0100
Source: hylafax
Binary: hylafax-server hylafax-client
Architecture: source i386
Version: 2:6.0.3-5.1
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Sacco <eppesuig@debian.org>
Changed-By: Robert Grimm <rob@robgri.de>
Description: 
 hylafax-client - Flexible client/server fax software - client utilities
 hylafax-server - Flexible client/server fax software - server daemons
Closes: 553055
Changes: 
 hylafax (2:6.0.3-5.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Return 0 from initscript, if RUN_HYLAFAX=0 (Closes: #553055)
Checksums-Sha1: 
 5dd3113ce229428baa37e0b0db23f6b7990ee73d 1926 hylafax_6.0.3-5.1.dsc
 d407287867681c2e095f1d93e439a56308683cf6 28152 hylafax_6.0.3-5.1.diff.gz
 e933a9e766c6e75d3b6032f53bffc576a2e000c3 1201254 hylafax-server_6.0.3-5.1_i386.deb
 bf06f9afc4905efb402ee2c6e7c9a2f752ba87a8 386026 hylafax-client_6.0.3-5.1_i386.deb
Checksums-Sha256: 
 8469a4e73a8037f9ee36ac7b59b57400dac88691a37adbd2e0fad1d1aeb0f3ad 1926 hylafax_6.0.3-5.1.dsc
 2195f4763a4dbf4fbca6f64fcc2b8eb61dfd02fe509f61615ad5609741fd4a54 28152 hylafax_6.0.3-5.1.diff.gz
 f3901204be06e24090245b8eb268c01983c8403de7c91b89209493df702a635f 1201254 hylafax-server_6.0.3-5.1_i386.deb
 096eabba3e6816e9a918912062db7932d7f1e843b9f0ca53aa406e3ca2190a9a 386026 hylafax-client_6.0.3-5.1_i386.deb
Files: 
 762e83257e8870bd563a069984eed4d7 1926 comm extra hylafax_6.0.3-5.1.dsc
 f81b6109dc7ef192c63c06efaf5e3158 28152 comm extra hylafax_6.0.3-5.1.diff.gz
 aabf85cf684203caf21793f7110dedd8 1201254 comm extra hylafax-server_6.0.3-5.1_i386.deb
 546575511f98b5247aeff2107b05c960 386026 comm extra hylafax-client_6.0.3-5.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iQIcBAEBCAAGBQJLEUaUAAoJELs6aAGGSaoGw5EP/jHm4kkbPLAA97T4PWLwBFvr
wFsnkFGJ8ZdOkoSWVdEvjSs/vjNplhiaC/yElk8mDyt3TxQBNkWo274j7jxYs3Ci
2dBrnwCz+66ItXXG2LyrXHIEMbHVi2vVt7Uv/V9hm9/AY+dY4BESEfX+grNrQePR
rL0VMzxGRW+HmDQjbn82MlHeANmPI0UVYzb9wVvrOUB3fTCkHt5si674+BO9xQXN
10fam0duEtkrKhmhz8/QDBJZTRyBmfHupqPM2SaigICUCGgIjusf8tJijwzfQ8so
1UMnFrUCB7OXmReyy3GTySHGxOLxsn29fSe2o4yOFC0KLhgenRKT0pTUe5oUKGPY
fgVCIbVF+PzK+y4EY9R9C/S2Eor8EZsP0P9sQKjaqjSHOLyjCN1it6eub5t+eDfi
qgnjQzkcibfSQtD0xOoT4PChPwoLiQITDS/Djgb4X0XMn99Dsvy7cq1xG93yBjah
799XbpCzBLxEx58vSH2Nq+Iulqx0PgeXfSB17SNLyKGwE+X2bwiXhK9Zpp6a860H
/pqe6dqGso1fpZk+FYNh4mX6vFu9KKmeeptk82LaVbkXHo0cr3Z/KEate4O80FDY
2Hn4BeiiSyJ6ziKwsS4MtHa3JIADXpIjCKNCWcSReVd4cgDXnHeYpz8CPN26d1kE
LTAdtmdgvNTkWeZCOaQT
=uIoi
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 03 Jan 2010 07:30:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 16:50:20 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.